petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSAlphaSetParams

sets the algorithmic parameters for TSALPHA

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSAlphaSetParams(TS ts,PetscReal alpha_m,PetscReal alpha_f,PetscReal gamma)

Logically Collective on TS Many br

### Second-order accuracy can be obtained so long as

\gamma = 0.5 + alpha_m - alpha_f Many br

### Unconditional stability requires

\alpha_m >= \alpha_f >= 0.5 Many br

### Backward Euler method is recovered with

\alpha_m = \alpha_f = gamma = 1 Many br

### Input Parameter

| ts | - timestepping context Many br
| \alpha_m | - algorithmic paramenter Many br
| \alpha_f | - algorithmic paramenter Many br
| \gamma | - algorithmic paramenter Many br

### Options Database

| -ts_alpha_alpha_m <alpha_m> | - . -ts_alpha_alpha_f <alpha_f> Many br
| -ts_alpha_gamma <gamma> | - Many brNote: Many brUse of this function is normally only required to hack TSALPHA to Many bruse a modified integration scheme. Users should call Many brTSAlphaSetRadius() to set the desired spectral radius of the methods Many br(i.e. high-frequency damping) in order so select optimal values for Many brthese parameters. Many br

Many br

### See Also

TSAlphaSetRadius(), TSAlphaGetParams()

Level:advanced
Location:src/ts/impls/implicit/alpha/alpha1.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages